Bug 1119314 - in order to specify package exactly in a content view filter, both release and version must be accepted
Summary: in order to specify package exactly in a content view filter, both release an...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 13:43 UTC by Tom McKay
Modified: 2017-02-23 21:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-10 20:19:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6599 None None None 2016-04-22 16:50:48 UTC

Description Tom McKay 2014-07-14 13:43:46 UTC
Currently CV filters accept just release and not version.

some-package-11.22.33-44

Need to allow the "44" to be specified to match exactly the package.

Comment 1 Tom McKay 2014-07-14 13:43:46 UTC
Created from redmine issue http://projects.theforeman.org/issues/6599

Comment 3 Tom McKay 2015-03-10 20:19:08 UTC
This is not a bug: The epoch and release are being handled properly.

As an example, on RHEL7 the package libcacard can be filtered w/ 10:1.3.5-86.el7 (epoch=10, version=1.3.5, release=86.el7)


Note You need to log in before you can comment on or make changes to this bug.